package com.sillycycle.bagleyd.panex;

/*
 * @(#)PanexScores.java
 *
 * Copyright 2003 - 2014  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>Panex</code> class holds the high scores for the
 * <code>PanexApp</code> class.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/puzzles.html
 */

public class PanexScores {
	static final int[][] PUZZLE_SCORES = {{
  1, 3, 7, 15, 32, 64, 128, 256, 512, 1024
	}, {
  3, 16, 39, 90, 195, -1, -1, -1, -1, -1
	}, {
  3, 13, 48, 191, -1, -1, -1, -1, -1, -1
	}
};
}
/*Minimal solutions.*/
/* 1, 3, 7, 15, 31, 63, 127, 255, 511, 1023 */
/* 3, 16, 39, 89, 190, 395, 808, 1637, 3298, 6623 */
/* 3, 13, 42, 128, 343, 881, 2189, 5359, 13023, 31537 */
