package com.sillycycle.bagleyd.util;

/*
 * @(#)NumberField.java
 *
 * Copyright 1994 - 2018  David A. Bagley, bagleyd AT verizon.net
 *
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and
 * that both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the author not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * This program is distributed in the hope that it will be "useful",
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * The <code>NumberField</code> class holds info about the text
 * display.
 *
 * @author	David A. Bagley
 * @author	bagleyd AT verizon.net
 * @author	https://www.sillycycle.com/panex.html
 */

public class NumberField {
	private int number = 0;

	public String incrementField() {
		return Integer.toString(++number);
	}

	public String decrementField() {
		return Integer.toString(--number);
	}

	public String getField() {
		return Integer.toString(number);
	}

	public String resetField() {
		number = 0;
		return Integer.toString(number);
	}
}
